## org.eclipse.emf.ecore.impl
Class EObjectImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject

Direct Known Subclasses:
  AnyTypeImpl, BasicFeatureMap.FeatureMapEObjectImpl, ChangeDescriptionImpl, DelegatingFeatureMap.FeatureMapEObjectImpl, DynamicEObjectImpl, EGenericTypeImpl, ENamedElementToXMLInfoMapEntryImpl, EObjectToChangesMapEntryImpl, EStoreEObjectImpl, EStringToStringMapEntryImpl, FeatureChangeImpl, FeatureMapEntryImpl, FlatEObjectImpl, GenBaseImpl, ListChangeImpl, MappingHelperImpl, MappingImpl, ProcessingInstructionImpl, ResourceChangeImpl, TreeNodeImpl, XMLInfoImpl, XMLMapImpl, XMLNamespaceDocumentRootImpl, XMLTypeDocumentRootImpl

    public class EObjectImpl

extends BasicEObjectImpl
implements EObject

An implementation of the model object 'EObject'.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected BasicEList<Adapter>` `eAdapters` The list of `Adapter`s associated with the notifier.
`protected InternalEObject` `eContainer` The container of this object.
`protected int` `eContainerFeatureID` The feature ID of this object's container holding feature, if there is one, or `EOPPOSITE_FEATURE_BASE` minus the feature ID of the container's feature that contains this object.
`protected static int` `EDELIVER` The bit of `eFlags` that is used to represent `eDeliver()`.
`protected static int` `EDYNAMIC_CLASS` The bit of `eFlags` that is used to represent whether there is a dynamic EClass.
`protected int` `eFlags` An extensible set of bit flags; the first bit is used for `EDELIVER` to implement `eDeliver()` and the second bit is used for `EPROXY` to implement `eIsProxy()`.
`static int` `ELAST_EOBJECT_FLAG` The last bit used by this class; derived classes may use bit values higher than this.
`protected static int` `ELAST_NOTIFIER_FLAG` The last bit used by this class; derived classes may use bit values higher than this.
`protected BasicEObjectImpl.EPropertiesHolder` `eProperties` Additional less frequently used fields.
`protected static int` `EPROXY` The bit of `eFlags` that is used to represent `eIsProxy()`.

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EObjectImpl()` Creates an EObject

Method Summary
`EList<Adapter>` `eAdapters()` Returns list of the adapters associated with this notifier.
`protected BasicEList<Adapter>` `eBasicAdapters()` Returns the adapter list, even if it is `null`.
`protected BasicEObjectImpl.EPropertiesHolder` `eBasicProperties()`
`protected void` `eBasicSetContainer(InternalEObject newContainer, int newContainerFeatureID)`
`EClass` `eClass()` Returns the meta class.
`int` `eContainerFeatureID()` Returns the container feature ID.
`boolean` `eDeliver()` Returns whether this notifier will deliver notifications to the adapters.
`InternalEObject` `eInternalContainer()` Returns the internal container, or `null`.
`boolean` `eIsProxy()` Indicates whether this object is a proxy.
`protected BasicEObjectImpl.EPropertiesHolder` `eProperties()`
`void` `eSetClass(EClass eClass)` Sets the meta class.
`void` `eSetDeliver(boolean deliver)` Sets whether this notifier will deliver notifications to the adapters.
`void` `eSetProxyURI(URI uri)` Set the proxy URI of this object.
`protected EClass` `eStaticClass()`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### EDELIVER

    protected static final int EDELIVER

  The bit of `eFlags` that is used to represent `eDeliver()`.

  See Also:
    Constant Field Values

### EDYNAMIC_CLASS

    protected static final int EDYNAMIC_CLASS

  The bit of `eFlags` that is used to represent whether there is a dynamic EClass.

  See Also:
    Constant Field Values

### EPROXY

    protected static final int EPROXY

  The bit of `eFlags` that is used to represent `eIsProxy()`.

  See Also:
    Constant Field Values

### ELAST_NOTIFIER_FLAG

    protected static final int ELAST_NOTIFIER_FLAG

  The last bit used by this class; derived classes may use bit values higher than this.

  See Also:
    Constant Field Values

### ELAST_EOBJECT_FLAG

    public static final int ELAST_EOBJECT_FLAG

  The last bit used by this class; derived classes may use bit values higher than this.

  See Also:
    Constant Field Values

### eFlags

    protected int eFlags

  An extensible set of bit flags; the first bit is used for `EDELIVER` to implement `eDeliver()` and the second bit is used for `EPROXY` to implement `eIsProxy()`.

### eAdapters

    protected BasicEList<Adapter> eAdapters

  The list of `Adapter`s associated with the notifier.

### eContainer

    protected InternalEObject eContainer

  The container of this object.

### eContainerFeatureID

    protected int eContainerFeatureID

  The feature ID of this object's container holding feature, if there is one, or `EOPPOSITE_FEATURE_BASE` minus the feature ID of the container's feature that contains this object.

### eProperties

    protected BasicEObjectImpl.EPropertiesHolder eProperties

  Additional less frequently used fields.

Constructor Detail

### EObjectImpl

    protected EObjectImpl()

  Creates an EObject.

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `BasicEObjectImpl`

### eAdapters

    public EList<Adapter> eAdapters()

  Description copied from interface: `Notifier`
  Returns list of the adapters associated with this notifier.

  Specified by:
    `eAdapters` in interface `Notifier`
  Overrides:
    `eAdapters` in class `BasicNotifierImpl`
  Returns:
    the adapters associated with this notifier.

### eBasicAdapters

    protected BasicEList<Adapter> eBasicAdapters()

  Description copied from class: `BasicNotifierImpl`
  Returns the adapter list, even if it is `null`.

  Overrides:
    `eBasicAdapters` in class `BasicNotifierImpl`
  Returns:
    the adapter list, even if it is `null`.

### eDeliver

    public boolean eDeliver()

  Description copied from interface: `Notifier`
  Returns whether this notifier will deliver notifications to the adapters.

  Specified by:
    `eDeliver` in interface `Notifier`
  Overrides:
    `eDeliver` in class `BasicNotifierImpl`
  Returns:
    whether notifications will be delivered.
  See Also:
    `Notifier.eSetDeliver(boolean)`

### eSetDeliver

    public void eSetDeliver(boolean deliver)

  Description copied from interface: `Notifier`
  Sets whether this notifier will deliver notifications to the adapters.

  Specified by:
    `eSetDeliver` in interface `Notifier`
  Overrides:
    `eSetDeliver` in class `BasicNotifierImpl`
  Parameters:
    `deliver` - whether or not to deliver.
  See Also:
    `Notifier.eDeliver()`

### eIsProxy

    public boolean eIsProxy()

  Description copied from interface: `EObject`
  Indicates whether this object is a proxy.

  A proxy is an object that is defined in a `Resource` that has not been loaded. An object may be a proxy either because proxy resolution was disabled when the object was accessed (see `EObject.eGet(EStructuralFeature,boolean)`) or because proxy `resolution` failed.

  Specified by:
    `eIsProxy` in interface `EObject`
  Overrides:
    `eIsProxy` in class `BasicEObjectImpl`
  Returns:
    `true` if this object is a proxy or `false`, otherwise.
  See Also:
    `Resource.unload()`, `EcoreUtil.resolve(EObject, org.eclipse.emf.ecore.resource.ResourceSet)`

### eSetProxyURI

    public void eSetProxyURI(URI uri)

  Description copied from interface: `InternalEObject`
  Set the proxy URI of this object. It will be used to `resolve` to the actual object.

  Specified by:
    `eSetProxyURI` in interface `InternalEObject`
  Overrides:
    `eSetProxyURI` in class `BasicEObjectImpl`
  Parameters:
    `uri` - the URI.
  See Also:
    `EcoreUtil.resolve(EObject, org.eclipse.emf.ecore.resource.ResourceSet)`, `Resource.unload()`

### eProperties

    protected BasicEObjectImpl.EPropertiesHolder eProperties()

  Overrides:
    `eProperties` in class `BasicEObjectImpl`

### eBasicProperties

    protected BasicEObjectImpl.EPropertiesHolder eBasicProperties()

  Overrides:
    `eBasicProperties` in class `BasicEObjectImpl`

### eInternalContainer

    public InternalEObject eInternalContainer()

  Description copied from interface: `InternalEObject`
  Returns the internal container, or `null`. It does not resolve a proxy.

  Specified by:
    `eInternalContainer` in interface `InternalEObject`
  Overrides:
    `eInternalContainer` in class `BasicEObjectImpl`
  Returns:
    the internal container.
  See Also:
    `EObject.eContainer()`, `InternalEObject.eDirectResource()`

### eContainerFeatureID

    public int eContainerFeatureID()

  Description copied from interface: `InternalEObject`
  Returns the container feature ID. If the container isn't a navigable feature, this will be a negative ID indicating the inverse of the containment feature's ID.

  Specified by:
    `eContainerFeatureID` in interface `InternalEObject`
  Overrides:
    `eContainerFeatureID` in class `BasicEObjectImpl`
  Returns:
    the container feature ID.
  See Also:
    `EObject.eContainmentFeature()`, `InternalEObject.EOPPOSITE_FEATURE_BASE`

### eBasicSetContainer

    protected void eBasicSetContainer(InternalEObject newContainer,
                                      int newContainerFeatureID)

  Overrides:
    `eBasicSetContainer` in class `BasicEObjectImpl`

### eClass

    public EClass eClass()

  Description copied from interface: `EObject`
  Returns the meta class.

  The meta class defines the `features` available for reflective access.

  Specified by:
    `eClass` in interface `EObject`
  Overrides:
    `eClass` in class `BasicEObjectImpl`
  Returns:
    the meta class.
  See Also:
    `EClass.getEAllStructuralFeatures()`

### eSetClass

    public void eSetClass(EClass eClass)

  Description copied from interface: `InternalEObject`
  Sets the meta class. An object with a set meta class is, by definition, a dynamic instance; it will support dynamic `settings`. an.

  Specified by:
    `eSetClass` in interface `InternalEObject`
  Overrides:
    `eSetClass` in class `BasicEObjectImpl`
  Parameters:
    `eClass` - the dynamic meta class.
  See Also:
    `InternalEObject.eSetting(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.